# Uses of Enum Class
javafx.print.PrintColor

Packages that use PrintColor
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PrintColor in javafx.print

Methods in javafx.print that return PrintColor
Modifier and Type
Method
Description
`PrintColor`
PrinterAttributes.`getDefaultPrintColor()`
Get the default color setting : greyscale or color
`PrintColor`
JobSettings.`getPrintColor()`
Gets the value of the `printColor` property.
`static PrintColor`
PrintColor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrintColor[]`
PrintColor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type PrintColor
Modifier and Type
Method
Description
`Set<PrintColor>`
PrinterAttributes.`getSupportedPrintColors()`
Returns an unmodifiable set of the supported color settings for this printer.
`final ObjectProperty<PrintColor>`
JobSettings.`printColorProperty()`
Property representing an instance of `PrintColor`.
Methods in javafx.print with parameters of type PrintColor
Modifier and Type
Method
Description
`void`
JobSettings.`setPrintColor(PrintColor color)`
Set the `PrintColor` property.